#import "@preview/polylux:0.3.1": *

#set page(paper: "presentation-16-9")

#set text(font: "Atkinson Hyperlegible", size: 1.5em)
// headings absichtlich in default typst font
#show heading: set text(font: "Linux Libertine")
#show link: set text(fill: blue)

#let muted = rgb("444")

#let mute = text.with(fill: muted)

#let person(pfp, name, pronouns, description) = {
  // warum kann ich die font hier nicht setzen?
  show heading: set text(weight: "regular");
  stack(
    dir: ltr,
    box(clip: true, radius: 100%, image("assets/" + pfp, height: 33%)),
    align(
      top,
      box(
        inset: (top: 16pt, left: 20pt),
        heading(
          text(font: "Montserrat", size: 1.5em, name)
          + text(font: "Montserrat", size: 1em, fill: muted, pronouns)
        )
        + description
      ),
    ),
  )
}

#polylux-slide(align(horizon + center)[
  = typst - Dokumente schreiben macht auf einmal Spaß?!
  #mute[_von Schrottkatze & MultisampledNight_]
])

#polylux-slide[
  = Wer sind wir?

  #align(
    horizon,
    grid(
      rows: (auto, auto),
      gutter: 12%,
      person("schrottkatze-pfp.jpg", [ Schrottkatze ], [ sie/ihr ], [ TODO ]),
      person("multisn8-pfp.jpg", [ MultisampledNight ], [ alle pronomen ], [ höchst portables beschwergerät ]),
    ),
  )
]

// irgendwie zu kurz?
#polylux-slide[
  = Setup

  - Web-app (Proprietär, braucht einen Account)

  - CLI
    - Installation via Paketmanager falls verfügbar (Arch, Nix, Void, Homebrew)
    - von Github Release: github.com/typst/typst/releases

  - Editor
    - Liegt euch offen
      - Auch ein reiner Texteditor ohne Syntax Highlighting ist gut verwendbar
    - VS Codium und Code haben beide eine exzellente Extension namens `Typst LSP`
    - Ansonsten gibt es auch einen LSP server standalone
      - https://github.com/nvarner/typst-lsp/
]

#polylux-slide[
  = CLI Benutzung

  - `typst compile` kompiliert ein Dokument
  - `typst watch` rekompiliert bei allen änderungen
  - Die `--open` flag öffnet Dokumente im standard PDF-Viewer
]
